jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Felix Meschberger <fmesc...@adobe.com>
Subject Jackrabbit SPI export version
Date Tue, 24 Jan 2012 23:36:19 GMT
Hi all,

I got a big problem with Jackrabbit SPI version 2.3.7 just released: This increases the export
version of the org.apache.jackrabit.spi package from 2.4.0 to 3.0.0.

The consequence of this is dramatic: It breaks compatibility on all levels !

It looks like this has been done by commit 1233468 (Update OSGi package versions for a new
release.)

Consequence of this is, that I have a hard time updating the Sling DavEx bundle to this latest
release ... But not updating and running in a framework with the new bundle will also prevent
Sling DavEx from running.

Regards
Felix
Mime
View raw message